MantisBT

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000728XdebugUsage problems (Wrong Results)public2011-10-05 16:502012-04-28 23:18
Reportersebastian 
Assigned Toderick 
PrioritynormalSeveritymajorReproducibilityalways
StatusclosedResolutionfixed 
PlatformIrrelevantOSIrrelevantOS VersionIrrelevant
Product Version2.2dev 
Target Version2.2.0Fixed in Version2.2.0 
Summary0000728: Profiler reports __call() invocations confusingly/wrongly
DescriptionI find the way that Xdebug reports method calls that are handled by __call() confusing.

For my http://github.com/thePHPcc/bankaccount [^] example (htdocs/index.php) it generates

fl=php:internal
fn=php::Request->getServer
10 31
cfl=/usr/local/src/bankaccount/src/framework/Request.php
cfn=Request->__call
calls=1 0 0
10 1713

This means that the Request::getServer() method, which does not exist and calls to which are handled by Request::__call(), are displayed as PHP-internal functions. This is what confuses me.

Request->getServer would be correct.
TagsNo tags attached.
Operating System
PHP Version5.4-dev
Attached Files

- Relationships

-  Notes
(0001834)
sebastian (reporter)
2011-10-05 22:40

Instead of reporting just Request->getServer it might make sense to report both Request->getServer and Request->__call (the former calling the latter).

- Issue History
Date Modified Username Field Change
2011-10-05 16:50 sebastian New Issue
2011-10-05 22:40 sebastian Note Added: 0001834
2012-03-12 16:25 derick Target Version => 2.2.0
2012-04-28 23:18 derick Status new => closed
2012-04-28 23:18 derick Assigned To => derick
2012-04-28 23:18 derick Resolution open => fixed
2012-04-28 23:18 derick Fixed in Version => 2.2.0
2016-07-31 13:36 derick Category Usage problems => Usage problems (Crashes)
2016-07-31 13:38 derick Category Usage problems (Crashes) => Usage problems (Wrong Results)


Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker